pcl::poisson::MinimalAreaTriangulation< Real > Class Template Reference

`#include <pcl/surface/3rdparty/poisson4/mat.h>`

## Public Member Functions

| MinimalAreaTriangulation (void)
| ~MinimalAreaTriangulation (void)
Real | GetArea (const std::vector< Point3D< Real > > &vertices)
void | GetTriangulation (const std::vector< Point3D< Real > > &vertices, std::vector< TriangleIndex > &triangles)

## Detailed Description

### template<class Real>
class pcl::poisson::MinimalAreaTriangulation< Real >

Definition at line 39 of file mat.h.

## Constructor & Destructor Documentation

## MinimalAreaTriangulation()

template<class Real >

pcl::poisson::MinimalAreaTriangulation< Real >::MinimalAreaTriangulation | ( | void |  | ) |

Definition at line 38 of file mat.hpp.

## ~MinimalAreaTriangulation()

template<class Real >

pcl::poisson::MinimalAreaTriangulation< Real >::~MinimalAreaTriangulation | ( | void |  | ) |

Definition at line 44 of file mat.hpp.

## Member Function Documentation

## GetArea()

template<class Real >

Real pcl::poisson::MinimalAreaTriangulation< Real >::GetArea | ( | const std::vector< Point3D< Real > > & | vertices | ) |

Definition at line 124 of file mat.hpp.

References pcl::poisson::CrossProduct(), pcl::poisson::TriangleIndex::idx, and pcl::poisson::Length().

## GetTriangulation()

template<class Real >

void pcl::poisson::MinimalAreaTriangulation< Real >::GetTriangulation | ( | const std::vector< Point3D< Real > > & | vertices,
|  | std::vector< TriangleIndex > & | triangles
| ) |  |

Definition at line 54 of file mat.hpp.

References pcl::poisson::CrossProduct(), pcl::poisson::TriangleIndex::idx, and pcl::poisson::Length().

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/mat.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/poisson4/mat.hpp